[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TPipeEvent

Specifies an event handler signalled for a pipe handle in a widgetset object.

## Declaration

Source position: interfacebase.pp line 49

`type TPipeEvent = procedure(`
`AData: PtrInt;`
`AReasons: TPipeReasons`
`) of object;`

## Arguments

`AData` |  | Pointer to the data for the event notification.
`AReasons` |  | Reason for the event notification.

## Description

TPipeEvent is an object procedure type which specifies an event handler signalled for a pipe handle in a widgetset object. It is used for asynchronous process event notifications. The parameters contain a pointer to the data for the event, and the reason for the event notification.

TPipeEvent is the type passed as an argument to the TWidgetSet.AddPipeEventHandler method.

## See also

TPipeReason |  | Represents reasons that a pipe event was signalled.
TAsyncProcess |  | Implements a process with asynchronous notifications for data and termination.